Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class PersonValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.contact.StakeholderValue
                  |
                  +--theory.smart.axiom.contact.PersonValue

Direct Known Subclasses:
  CustomerValue

public class PersonValue
extends StakeholderValue

A Person describes a `Stakeholder` that represents a single individual. It contains a full set of instructions

See Also:
  `Person`, `PersonHome`, `Person.getPersonByValue()`, `Person.setPersonByValue(PersonValue)`, Serialized Form

Field Summary
`java.sql.Date` | `dob` dob [Person] <*>------> [`java.sql.Date`]
`java.lang.String` | `firstName` firstName [Person] <*>------> [`String`]
`java.lang.String` | `lastName` lastName [Person] <*>------> [`String`]
`java.lang.String` | `maritalStatus` maritalStatus [Person] <*>------> [`String`]
`java.lang.String` | `middleName` middleName [Person] <*>------> [`String`]
`java.lang.String` | `motherMaidenName` motherMaidenName [Person] <*>------> [`String`]
`java.lang.String` | `ssn` ssn [Person] <*>------> [`String`]
`java.lang.String` | `suffix` suffix [Person] <*>------> [`String`]
`java.lang.String` | `title` title [Person] <*>------> [`String`]

Fields inherited from class theory.smart.axiom.contact.StakeholderValue
`addresses, description, emails, faxes, identifier, phones, urls`

Constructor Summary
`protected` | `PersonValue()` Only get/setPersonByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstName

    public java.lang.String firstName

                        firstName
       [Person] <*>------> [String]

### lastName

    public java.lang.String lastName

                        lastName
       [Person] <*>------> [String]

### middleName

    public java.lang.String middleName

                        middleName
       [Person] <*>------> [String]

### title

    public java.lang.String title

                        title
       [Person] <*>------> [String]

### suffix

    public java.lang.String suffix

                        suffix
       [Person] <*>------> [String]

### ssn

    public java.lang.String ssn

                        ssn
       [Person] <*>------> [String]

### dob

    public java.sql.Date dob

                        dob
       [Person] <*>------> [java.sql.Date]

### motherMaidenName

    public java.lang.String motherMaidenName

                        motherMaidenName
       [Person] <*>------> [String]

### maritalStatus

    public java.lang.String maritalStatus

                        maritalStatus
       [Person] <*>------> [String]

Constructor Detail

### PersonValue

    protected PersonValue()

  Only get/setPersonByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.